#
# spec file for package lxqt-about
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxqt-about
Version:        0.12.0
Release:        lp150.1.30
Summary:        LXQt About Dialog
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/GUI/LXQt
Url:            http://www.lxde.org
Source:         https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:	lxqt-build-tools-devel
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(lxqt) >= %{version}
BuildRequires:  pkgconfig(Qt5Xdg) >= 1.3.0
Recommends:     %{name}-lang
Requires(post): desktop-file-utils
Requires(pre):  desktop-file-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
About dialog for LXQt

%prep
%setup -q
# Changing LXQt into X-LXQt in desktop files to be freedesktop compliant and shut rpmlint warnings
#find -name '*desktop.in*' -exec sed -ri 's/(LXQt;)/X-\1/' {} +

%build
%cmake -DPULL_TRANSLATIONS=No
make %{?_smp_mflags}

%install
%cmake_install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop

%changelog
* Mon Oct 23 2017 mvetter@suse.com
- Update to 0.12.0:
  * Set patch version 0
  * Don't export github templates
  * Added Lithuanian translation
  * added myself
  * set Qt::AA_UseHighDpiPixmaps to true
  * Added a very basic cli (#39)
  * updated Polish translation
  * Update AUTHORS
- Remove post and postun
* Thu Feb 23 2017 sfalken@opensuse.org
- Update to 0.11.1:
  * Removed da_DK (keep da)
  * Added *da.desktop, renamed da_DK to da
  * .gitignore: Fix typo
  * Remove cpack (#34)
* Sat Sep 24 2016 mvetter@suse.com
- Update to 0.11.0:
  * Extend README.md
  * translation: Fix language in _nl.desktop
  * Create lxqt-about_nl.desktop
  * Add translators_ca.info
  * Add Catalan translation
  * Add Arabic Translation for Desktop File and SafaAlFulaij As a Translator (#30)
  * .gitignore: Cleanup
  * build: Use external translations
  * ts-files removal (#28)
  * Bump AUTHORS year Fix license, lxqt-about is LGPL only
  * Italian translation update
  * Russian translation update
  * Updated german translation.
  * French translation:
  * Minor update of README.md
  * Delete country specific files
  * Add copyright symbol © to ‘About’ tab
  * Add simple README.md file
* Thu Nov  5 2015 mvetter@suse.com
- Upstream release 0.10.0
- Removing patches:
  * fix_desktop_categories.patch - Using sed in spec file now
* Thu Jul  9 2015 mvetter@suse.com
- Cleanup spec
- Use correct name "lxqt" instead of "lxde-qt"
* Fri Feb 20 2015 sfalken@opensuse.org
- Changed %%build and %%install to use cmake macros
* Mon Feb  9 2015 sfalken@opensuse.org
- New upstream version 0.9.0
* Sun Jan 25 2015 sfalken@opensuse.org
- Added conditionals to build for Fedora
* Fri Oct 24 2014 andrea@opensuse.org
- new upstream version 0.8.0
* Wed May 14 2014 andrea@opensuse.org
- removed unused buildrequires
* Tue May 13 2014 sfalken@opensuse.org
- Specfile cleanup
* Mon May 12 2014 sfalken@opensuse.org
- Removed fedora spec, split into subproject
  Del:  lxqt-about-Fedora_20.spec
* Sat May 10 2014 sfalken@opensuse.org
- Ran spec-cleaner on openSUSE specfile
* Fri May  9 2014 sfalken@opensuse.org
- Added specfile for Fedora_20
  Add:  lxqt-about-Fedora_20.spec
* Fri May  9 2014 sfalken@opensuse.org
- Removed desktop file patch (upstream fixes)
  Del:  0001-fix_desktop_file.patch
* Fri May  9 2014 sfalken@opensuse.org
- Added source tarball for new stable release
  Add:  lxqt-about-0.7.0.tar.xz
  Del:  _service
* Fri Apr  4 2014 sfalken@opensuse.org
- Added patch to correct .desktop file
  Add: 0001-fix_desktop_file.patch
* Fri Apr  4 2014 sfalken@opensuse.org
- Initial Source Upload
  Add: _service
  Add: lxqt-about.spec
  Add: lxqt-about.changes
